import {
  downloadVSCodeTheme,
  isDarkTheme
} from "./chunk-CN75TFZD.js";
import "./chunk-O6HOO6WA.js";

// src/monaco.ts
function vscodeTheme2MonacoTheme(vscodeTheme) {
  const base = isDarkTheme(vscodeTheme) ? "vs-dark" : "vs";
  const rules = vscodeTheme.tokenColors.map((token) => {
    var _a, _b, _c, _d;
    const scopes = typeof token.scope === "string" ? token.scope.split(",") : token.scope || [];
    const foreground = (_b = (_a = token.settings) == null ? void 0 : _a.foreground) == null ? void 0 : _b.slice(1);
    const background = (_d = (_c = token.settings) == null ? void 0 : _c.background) == null ? void 0 : _d.slice(1);
    return scopes.map((scope) => ({
      ...token.settings,
      foreground,
      background,
      token: scope
    }));
  }).flat();
  const colors = vscodeTheme.colors || {};
  return {
    base,
    inherit: true,
    colors,
    rules,
    encodedTokensColors: []
  };
}
async function loadMonacoThemeFromVSCodeTheme(vscodeThemeId) {
  const themeJSON = await downloadVSCodeTheme(vscodeThemeId);
  const monacoThemeJSON = vscodeTheme2MonacoTheme(themeJSON);
  return monacoThemeJSON;
}
export {
  loadMonacoThemeFromVSCodeTheme,
  vscodeTheme2MonacoTheme
};
